Mailinglist Archive: opensuse-security-announce (81 mails)

< Previous Next >
[security-announce] openSUSE-SU-2017:1455-1: important: Security update for sudo
openSUSE Security Update: Security update for sudo
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1455-1
Rating: important
References: #1015351 #1024145 #1039361 #981124
Cross-References: CVE-2017-1000367
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves one vulnerability and has three fixes
is now available.

Description:


This update for sudo fixes the following issues:

CVE-2017-1000367:
- Due to incorrect assumptions in /proc/[pid]/stat parsing, a local
attacker can pretend that his tty is any file on the filesystem, thus
gaining arbitrary file write access on SELinux-enabled systems.
[bsc#1039361]
- Fix FQDN for hostname. [bsc#1024145]
- Filter netgroups, they aren't handled by SSSD. [bsc#1015351]
- Fix problems related to "krb5_ccname" option [bsc#981124]

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-636=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

sudo-1.8.10p3-9.3.1
sudo-debuginfo-1.8.10p3-9.3.1
sudo-debugsource-1.8.10p3-9.3.1
sudo-devel-1.8.10p3-9.3.1
sudo-test-1.8.10p3-9.3.1


References:

https://www.suse.com/security/cve/CVE-2017-1000367.html
https://bugzilla.suse.com/1015351
https://bugzilla.suse.com/1024145
https://bugzilla.suse.com/1039361
https://bugzilla.suse.com/981124

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages